# Uses of Class
org.eclipse.birt.chart.event.StructureChangeEvent

Packages that use StructureChangeEvent
Package
Description
org.eclipse.birt.chart.device
Provides interfaces and no-op adapters that define services provided by the device renderer and an associated display server.

## Uses of StructureChangeEvent in org.eclipse.birt.chart.device

Methods in org.eclipse.birt.chart.device with parameters of type StructureChangeEvent
Modifier and Type
Method
Description
`void`
DeviceAdapter.`changeStructure(StructureChangeEvent scev)`
`void`
IStructureDefinitionListener.`changeStructure(StructureChangeEvent scev)`
Sends out a notification to a listener indicating that a structure group has changed (either via a start or end) notification.